summaryrefslogtreecommitdiffstats
path: root/scripts/show-changed
diff options
context:
space:
mode:
authorSeth Vidal <skvidal@fedoraproject.org>2013-07-03 22:54:16 +0000
committerSeth Vidal <skvidal@fedoraproject.org>2013-07-03 22:54:16 +0000
commitf6e3a85a0abc8fc0de5a6f2be5c65e60dbcc690a (patch)
tree7c901c870136c7f7692bb4110c573107e69f9bf7 /scripts/show-changed
parent1efa8496d57beeac1b13ace2b991b9aaad2cc665 (diff)
make show-changed show better
Diffstat (limited to 'scripts/show-changed')
-rwxr-xr-xscripts/show-changed8
1 files changed, 6 insertions, 2 deletions
diff --git a/scripts/show-changed b/scripts/show-changed
index cddc5616a..e073e2f7c 100755
--- a/scripts/show-changed
+++ b/scripts/show-changed
@@ -31,8 +31,12 @@ do
if [ "$verbose" == 'yes' ]; then
echo $json| python -m json.tool
else
- echo $json| /srv/web/infra/ansible/scripts/keyreturn task_userid
- echo $json| /srv/web/infra/ansible/scripts/keyreturn cmd
+ for term in task_userid cmd task_args task_module; do
+ echo $json| /srv/web/infra/ansible/scripts/keyreturn $term 2>/dev/null >&2
+ if [ $? == 0 ]; then
+ echo $json| /srv/web/infra/ansible/scripts/keyreturn $term
+ fi
+ done
fi
fi
done